Vector::BLF::AbstractFile(3)

NAME
Vector::BLF::AbstractFile

SYNOPSIS

#include <AbstractFile.h>

Inherited by Vector::BLF::CompressedFile, and Vector::BLF::UncompressedFile.

  Public Member Functions
AbstractFile (const AbstractFile &)=default
AbstractFile & operator= (const AbstractFile &)=default
AbstractFile (AbstractFile &&)=default
AbstractFile & operator= (AbstractFile &&)=default
virtual std::streamsize gcount () const =0
virtual void read (char *s, std::streamsize n)=0
virtual std::streampos tellg ()=0
virtual void seekg (std::streamoff off, const std::ios_base::seekdir way=std::ios_base::cur)=0
virtual void write (const char *s, std::streamsize n)=0
virtual std::streampos tellp ()=0
virtual bool good () const =0
virtual bool eof () const =0
virtual void skipp (std::streamsize s) final

Detailed Description

Generic interface to access CompressedFile and UncompressedFile in the same way.

Member Function Documentation

  virtual bool Vector::BLF::AbstractFile::eof () const [pure virtual]
Check whether eofbit is set.

Returns
    true if eofbit is set

Implemented in Vector::BLF::CompressedFile, and Vector::BLF::UncompressedFile.

  virtual std::streamsize Vector::BLF::AbstractFile::gcount () const [pure virtual]
Get characters returned by last read operation.

Returns
    Number of characters

Implemented in Vector::BLF::CompressedFile, and Vector::BLF::UncompressedFile.

  virtual bool Vector::BLF::AbstractFile::good () const [pure virtual]
Check whether state of stream is good.

Returns
    true if no error flags are set

Implemented in Vector::BLF::CompressedFile, and Vector::BLF::UncompressedFile.

  virtual void Vector::BLF::AbstractFile::read (char * s, std::streamsize n) [pure virtual]
Read block of data.

This operation blocks until the data is available.

Parameters
    s Pointer to data
    n Requested size of data

Implemented in Vector::BLF::CompressedFile, and Vector::BLF::UncompressedFile.

  virtual void Vector::BLF::AbstractFile::seekg (std::streamoff off, const std::ios_base::seekdir way = std::ios_base::cur) [pure virtual]
Set position in input sequence.

Parameters
    off Offset
    way Direction

Implemented in Vector::BLF::CompressedFile, and Vector::BLF::UncompressedFile.

  void Vector::BLF::AbstractFile::skipp (std::streamsize s) [final], [virtual]
Write padding null bytes.

Parameters
    s Number of padding bytes.

  virtual std::streampos Vector::BLF::AbstractFile::tellg () [pure virtual]
Get position in input sequence.

Returns
    Read position

Implemented in Vector::BLF::CompressedFile, and Vector::BLF::UncompressedFile.

  virtual std::streampos Vector::BLF::AbstractFile::tellp () [pure virtual]
Get position in output sequence.

Returns
    Write position

Implemented in Vector::BLF::CompressedFile, and Vector::BLF::UncompressedFile.

  virtual void Vector::BLF::AbstractFile::write (const char * s, std::streamsize n) [pure virtual]
Write block of data.

Parameters
    s Pointer to data
    n Size of data

Implemented in Vector::BLF::CompressedFile, and Vector::BLF::UncompressedFile.

Author

Generated automatically by Doxygen for Vector BLF from the source code.